Subject: Re: [PATCH] net: phy: Don't disable irqs on shutdown if WoL is enabled

From: Florian Fainelli <[email-masked]>
Date: Tue, 8 Aug 2023 14:59:41 -0700

On 8/8/23 14:53, Jakub Kicinski wrote:
> On Fri,  4 Aug 2023 09:17:57 +0200 Uwe Kleine-König wrote:
>> Most PHYs signal WoL using an interrupt. So disabling interrupts breaks
>> WoL at least on PHYs covered by the marvell driver. So skip disabling
>> irqs on shutdown if WoL is enabled.
>>
>> While at it also explain the motivation that irqs are disabled at all.
>>
>> Fixes: e2f016cf7751 ("net: phy: add a shutdown procedure")
>> Signed-off-by: Uwe Kleine-König <[email-masked]>
> 
> What do we do with this one? It sounded like Russell was leaning
> towards a revert?

Yes, though I believe this will create a different kind of regression 
for what Iona was addressing initially. Then it becomes a choice of 
which regression do we consider to be the worst to handle until 
something better comes up.

Russell what are your thoughts?
-- 
Florian